cp-hl
来自「实战Linux编程的原代码,希望对学驱动的人能有所帮助」· 代码 · 共 45 行
TXT
45 行
#!/bin/sh# test cp's new, -H and -L optionsif test "$VERBOSE" = yes; then set -x cp --versionfi. $srcdir/../envvar-checkpwd=`pwd`t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0trap 'exit $?' 1 2 13 15framework_failure=0mkdir -p $tmp || framework_failure=1cd $tmp || framework_failure=1mkdir src-dir dest-dir || framework_failure=1echo f > f || framework_failure=1ln -s f slink || framework_failure=1ln -s no-such-file src-dir/slink || framework_failure=1if test $framework_failure = 1; then echo 'failure in testing framework' exit 1fifail=0cp -H -R slink src-dir dest-dir || fail=1test -d src-dir || fail=1test -d dest-dir/src-dir || fail=1# Expect this to succeed since this slink is not a symlinkcat dest-dir/slink > /dev/null 2>&1 || fail=1# Expect this to fail since *this* slink is a dangling symlink.cat dest-dir/src-dir/slink > /dev/null 2>&1 && fail=1# FIXME: test -L, too.(exit $fail); exit
⌨️ 快捷键说明
复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?